# lzfile Struct Reference

Collaboration diagram for lzfile:
[legend]

## Data Fields
CBuffer | g_InBuffer
CLzmaDecoderState | state
unsigned char | properties [5U]
pid_t | pid

## Detailed Description

Definition at line 2735 of file rpmio.c.

## Field Documentation

CBuffer lzfile::g_InBuffer

Definition at line 2736 of file rpmio.c.

Referenced by lzdClose(), lzdFlush(), lzdRead(), lzdReadOpen(), lzdWrite(), and lzdWriteOpen().

CLzmaDecoderState lzfile::state

Definition at line 2737 of file rpmio.c.

Referenced by lzdClose(), lzdRead(), and lzdReadOpen().

unsigned char lzfile::properties[5U]

Definition at line 2738 of file rpmio.c.

Referenced by lzdReadOpen().

pid_t lzfile::pid

Definition at line 2743 of file rpmio.c.

Referenced by lzdClose(), and lzdWriteOpen().

The documentation for this struct was generated from the following file:

- rpmio/rpmio.c